Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.swing.impl
[Java] Class TableLayoutCell

    java.lang.Object
      groovy.swing.impl.TableLayoutCell

    public class TableLayoutCell

Represents a cell in a table layout.

Authors:
  James Strachan

Version:
  \$Revision\$

Field Summary
`protected static Logger` | `LOG`

Constructor Summary
`TableLayoutCell(TableLayoutRow parent)`

Method Summary
`void` | `addComponent(java.awt.Component component)`
`protected java.awt.GridBagConstraints` | `createConstraints()`
`protected int` | `getAnchor()` @return the GridBagConstraints enumeration for anchor
`int` | `getColspan()`
`java.awt.Component` | `getComponent()`
`java.awt.GridBagConstraints` | `getConstraints()` @return the constraints of this cell
`int` | `getRowspan()`
`boolean` | `isColfill()` Returns the colfill.
`boolean` | `isRowfill()` Returns the rowfill.
`void` | `setAlign(java.lang.String align)` Sets the horizontal alignment to a case insensitive value of {LEFT, CENTER, RIGHT}
`void` | `setColfill(boolean colfill)` Sets whether or not this column should allow its component to stretch to fill the space available
`void` | `setColspan(int colspan)` Sets the number of columns that this cell should span.
`void` | `setRowfill(boolean rowfill)` Sets whether or not this row should allow its component to stretch to fill the space available
`void` | `setRowspan(int rowspan)` Sets the number of rows that this cell should span.
`void` | `setValign(java.lang.String valign)` Sets the vertical alignment to a case insensitive value of {TOP, MIDDLE, BOTTOM}

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### LOG

    protected static final Logger LOG

Constructor Detail

### TableLayoutCell

    public TableLayoutCell(TableLayoutRow parent)

Method Detail

### addComponent

    public void addComponent(java.awt.Component component)

### createConstraints

    protected java.awt.GridBagConstraints createConstraints()

### getAnchor

    protected int getAnchor()

  Returns:
    the GridBagConstraints enumeration for anchor

### getColspan

    public int getColspan()

### getComponent

    public java.awt.Component getComponent()

### getConstraints

    public java.awt.GridBagConstraints getConstraints()

  Returns:
    the constraints of this cell

### getRowspan

    public int getRowspan()

### isColfill

    public boolean isColfill()

  Returns the colfill.
  Returns:
    boolean

### isRowfill

    public boolean isRowfill()

  Returns the rowfill.
  Returns:
    boolean

### setAlign

    public void setAlign(java.lang.String align)

  Sets the horizontal alignment to a case insensitive value of {LEFT, CENTER, RIGHT}
  Parameters:
    `align` - one of 'left', 'center', or 'right'

### setColfill

    public void setColfill(boolean colfill)

  Sets whether or not this column should allow its component to stretch to fill the space available
  Parameters:
    `colfill` - The default is false

### setColspan

    public void setColspan(int colspan)

  Sets the number of columns that this cell should span. The default value is 1
  Parameters:
    `colspan` - The default is 1

### setRowfill

    public void setRowfill(boolean rowfill)

  Sets whether or not this row should allow its component to stretch to fill the space available
  Parameters:
    `rowfill` - The default is false

### setRowspan

    public void setRowspan(int rowspan)

  Sets the number of rows that this cell should span. The default value is 1
  Parameters:
    `rowspan` - The default is 1

### setValign

    public void setValign(java.lang.String valign)

  Sets the vertical alignment to a case insensitive value of {TOP, MIDDLE, BOTTOM}
  Parameters:
    `valign` - one of 'top', 'middle', 'bottom'

Groovy Documentation